Patient $check-eligibility

post/Patient/$check-eligibility
Page View

This resource establishes demographics and identifiers for an individual visiting or receiving treatment from a healthcare organization. A patient record serves as the most common base for data being exchanged since it establishes the “who” behind the data. 

You can review, retrieve, create, or update patient records.

The other operations are specific to Verato and CMS ACCESS (Advancing Chronic Care with Effective, Scalable Solutions). You must register and be approved to participate in CMS ACCESS. Learn more about CMS ACCESS.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$check-eligibility

Submit a request to verify if a patient meets the basic criteria for the ACCESS model before formally submitting their information for alignment.

This returns a submission ID so you can check the status of this operation with $submission-status.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Patient/$check-eligibility' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Parameters",
7
"id": "CmsAccessCheckEligibilityInputExample",
8
"parameter": [
9
{
10
"name": "participantID",
11
"valueIdentifier": {
12
"system": "https://dsacms.github.io/cmmi-access-model/participant-id",
13
"value": "ACCES12345"
14
}
15
},
16
{
17
"name": "payerID",
18
"valueIdentifier": {
19
"type": {
20
"coding": [
21
{
22
"system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBIdentifierType",
23
"code": "payerid",
24
"display": "Payer ID"
25
}
26
]
27
},
28
"system": "urn:oid:2.16.840.1.113883.3.221.5",
29
"value": "12345"
30
}
31
},
32
{
33
"name": "patient",
34
"resource": {
35
"resourceType": "Patient",
36
"id": "PatientExample",
37
"identifier": [
38
{
39
"type": {
40
"coding": [
41
{
42
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
43
"code": "MC"
44
}
45
]
46
},
47
"system": "http://terminology.hl7.org/NamingSystem/cmsMBI",
48
"value": "1EG4TE5MK73"
49
}
50
],
51
"name": [
52
{
53
"family": "Doe",
54
"given": [
55
"John"
56
]
57
}
58
],
59
"gender": "male",
60
"birthDate": "1950-01-01"
61
}
62
},
63
{
64
"name": "track",
65
"valueCodeableConcept": {
66
"coding": [
67
{
68
"system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSTrackCS",
69
"code": "CKM",
70
"display": "Cardio-kidney-metabolic track"
71
}
72
]
73
}
74
}
75
]
76
}'

Request Body Schema

    Input parameters for the CMS ACCESS $check-eligibility operation, which performs a preliminary check of whether a patient may be eligible for an ACCESS track before attempting alignment. The request body is a FHIR Parameters resource; each field below is a named entry in the parameter array (see the request example for the exact wire format).

  • participantID
    required, object

    Identifier of the participating entity performing the eligibility check.

    • type
      object

      A coded type for the identifier that can be used to determine which identifier to use for a specific purpose.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • system
      string

      Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

    • value
      string

      The portion of the identifier typically relevant to the user and which is unique within the context of the system.

  • payerID
    required, object

    Identifier of the payer associated with the patient.

    • type
      object

      A coded type for the identifier that can be used to determine which identifier to use for a specific purpose.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • system
      string

      Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

    • value
      string

      The portion of the identifier typically relevant to the user and which is unique within the context of the system.

  • patient
    required, object

    The patient whose eligibility is being checked.

    • resourceType
      required, string

      Identifies the type of the resource

      Value: Patient
    • identifier
      required, Array of object

      An identifier for this patient.

      • system
        required, string

        Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

      • value
        required, string

        The portion of the identifier typically relevant to the user and which is unique within the context of the system.

      • extension
        Array of Boolean, String, CodeableConcept, Coding

        May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

        • url
          required, string

          Source of the definition for the extension code - a logical name or a URL.

        • valueBoolean
          boolean

          A single value for the extension.

      • use
        string

        The purpose of this identifier.

        Possible Values: usual, official, temp, secondary, old (If known)
    • name
      required, Array of object

      A name associated with the individual.

      • family
        string

        The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father.

      • given
        Array of string

        Given name.

      • use
        string

        Identifies the purpose for this name.

        Possible Values: usual, official, temp, nickname, anonymous, old, maiden
    • gender
      required, string

      Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes.

      Possible Values: (USCDI) male, female, other, unknown
    • id
      string

      The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

    • extension
      Array of race, ethnicity, birthsex, patient-citizenship or Other

      Additional information about patients not represented by standard FHIR fields.

        Concepts classifying the person into a named category of humans sharing common history, traits, geographical origin or nationality. The race codes used to represent these concepts are based upon the CDC Race and Ethnicity Code Set Version 1.0 which includes over 900 concepts for representing race and ethnicity of which 921 reference race. The race concepts are grouped by and pre-mapped to the 5 OMB race categories:

        • American Indian or Alaska Native
        • Asian
        • Black or African American
        • Native Hawaiian or Other Pacific Islander
        • White.

        See http://hl7.org/fhir/us/core/StructureDefinition/us-core-race for more information

      • extension
        required, Array of ombCategory or text

        Sub-extensions to carry more information about the patient's ethnicity

      • url
        required, string

        Source of the definition for the extension code - a logical name or a URL.

        Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-race
    • active
      boolean

      Whether this patient record is in active use. Many systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules.

      It is often used to filter patient lists to exclude inactive patients

      Deceased patients may also be marked as inactive for the same reasons, but may be active for some time after death.

    • telecom
      Array of object

      A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted.

      • system
        required, string

        Telecommunications form for contact point - what communications system is required to make use of the contact.

        Possible Values: email, fax, other, pager, sms, url
      • value
        required, string

        The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address).

      • use
        string

        Identifies the purpose for the contact point.

        Possible Values: mobile, old, temp, work
    • birthDate
      string

      The date of birth for the individual.

    • address
      Array of object

      An address for the individual.

      • line
        Array of string

        This component contains the house number, apartment number, street name, street direction, P.O. Box number, delivery hints, and similar address information.

      • city
        string

        The name of the city, town, suburb, village or other community or delivery center.

      • state
        string

        Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes).

      • postalCode
        string

        A postal code designating a region defined by the postal service.

      • use
        string

        The purpose of this address.

        Possible Values: home, work, temp, old, billing
      • district
        string

        The name of the administrative area (county).

      • country
        string

        Country - a nation as commonly understood or generally accepted.

    • contact
      Array of object

      A contact party (e.g. guardian, partner, friend) for the patient.

      • relationship
        Array of object

        The nature of the relationship between the patient and the contact.

        Redox sends and recognizes the following values for system:

        • http://terminology.hl7.org/CodeSystem/v3-RoleCode - used as RelationToPatient
        • http://terminology.hl7.org/CodeSystem/v2-0131 - used as the ContactRole
        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • name
        object

        A name associated with the contact person.

        • use
          string

          Identifies the purpose for this name.

          Possible Values: usual, official, temp, nickname, anonymous, old, maiden
        • family
          string

          The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father.

        • given
          Array of string

          Given name.

      • telecom
        Array of object

        A contact detail for the person, e.g. a telephone number or an email address.

        • system
          string

          Telecommunications form for contact point - what communications system is required to make use of the contact.

          Possible Values: phone, fax, email, pager, url, sms, other
        • value
          string

          The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address).

        • use
          string

          Identifies the purpose for the contact point.

          Possible Values: home, work, temp, old, mobile
      • address
        object

        Address for the contact person.

        • use
          string

          The purpose of this address.

          Possible Values: home, work, temp, old, billing
        • line
          Array of string

          This component contains the house number, apartment number, street name, street direction, P.O. Box number, delivery hints, and similar address information.

        • city
          string

          The name of the city, town, suburb, village or other community or delivery center.

        • district
          string

          The name of the administrative area (county).

        • state
          string

          Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes).

        • postalCode
          string

          A postal code designating a region defined by the postal service.

        • country
          string

          Country - a nation as commonly understood or generally accepted.

    • communication
      Array of object

      A language which may be used to communicate with the patient about his or her health.

      • language
        required, object

        The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • generalPractitioner
      Array of object

      Patient's nominated care provider.

      Must be a resource of type Practitioner.

      • reference
        string

        A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • managingOrganization
      object

      Organization that is the custodian of the patient record.

      Must be a resource of type Organization.

      • reference
        string

        A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • Link to another patient resource that concerns the same actual patient.

      • other
        required, object

        The other patient resource that the link refers to.

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • type
        required, string

        The type of link between this patient resource and another patient resource.

        Possible Values: replaced-by, replaces
    • deceasedBoolean
      boolean

      Indicates if the individual is deceased or not.

      Only one of deceasedBoolean, deceasedDateTime may be present.

    • deceasedDateTime
      string

      Indicates if the individual is deceased or not.

      Only one of deceasedBoolean, deceasedDateTime may be present.

  • track
    required, object

    The CMS ACCESS model track to check eligibility for.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • condition
    Array of object

    Condition(s) relevant to the eligibility check, when applicable.

    • resourceType
      required, string

      Identifies the type of the resource

      Value: Condition
    • subject
      required, object

      Indicates the patient or group who the condition record is associated with.

      Must be a resource of type Patient.

      • reference
        string

        A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • id
      string

      The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

    • identifier
      Array of object

      Business identifiers assigned to this condition by the performer or other systems which remain constant as the resource is updated and propagates from server to server.

      • extension
        Array of Boolean, String, CodeableConcept, Coding

        May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

        • url
          required, string

          Source of the definition for the extension code - a logical name or a URL.

        • valueBoolean
          boolean

          A single value for the extension.

      • use
        string

        The purpose of this identifier.

        Possible Values: usual, official, temp, secondary, old (If known)
      • system
        string

        Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

      • value
        string

        The portion of the identifier typically relevant to the user and which is unique within the context of the system.

    • clinicalStatus
      string

      The clinical status of the condition.

      Possible Values: active, recurrence, relapse, inactive, remission, resolved
    • verificationStatus
      string

      The verification status to support the clinical status of the condition.

      Possible Values: unconfirmed, provisional, differential, confirmed, refuted, entered-in-error
    • category
      Array of object

      A category assigned to the condition.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • severity
      object

      A subjective assessment of the severity of the condition as evaluated by the clinician.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • code
      object

      Identification of the condition, problem or diagnosis.

      • extension
        Array of OriginalText or Other

        May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          A human language representation of the concept (resource/element) as seen/selected/uttered by the user who entered the data and/or which represents the full intended meaning of the user.

          See http://hl7.org/fhir/StructureDefinition/originalText for more information

        • url
          required, string

          Source of the definition for the extension code - a logical name or a URL.

          Value: http://hl7.org/fhir/StructureDefinition/originalText
        • valueString
          required, string

          The original text

          Only one of valueString, valueUrl may be present.

        • valueUrl
          required, string

          The original text

          Only one of valueString, valueUrl may be present.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • encounter
      object

      The Encounter during which this Condition was created or to which the creation of this record is tightly associated.

      Must be a resource of type Encounter.

      • reference
        string

        A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • recorder
      object

      Individual who recorded the record and takes responsibility for its content.

      Must reference one of the following types of resources:

      • Practitioner
      • PractitionerRole
      • Patient
      • RelatedPerson
      • reference
        string

        A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • note
      Array of object

      Additional information about the Condition. This is a general notes/comments entry for description of the Condition, its diagnosis and prognosis.

      • text
        required, string

        The text of the annotation in markdown format.

Response fields and example

This response has no body.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.